Update worker
curl --request PUT \
--url https://api.getcargo.io/v1/hosting/workers/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"triggers": [
{
"type": "<string>",
"name": "<string>",
"cron": "<string>",
"path": "<string>",
"description": "<string>",
"data": {},
"headers": {}
}
]
}
'import requests
url = "https://api.getcargo.io/v1/hosting/workers/{uuid}"
payload = {
"name": "<string>",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"triggers": [
{
"type": "<string>",
"name": "<string>",
"cron": "<string>",
"path": "<string>",
"description": "<string>",
"data": {},
"headers": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
folderUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
triggers: [
{
type: '<string>',
name: '<string>',
cron: '<string>',
path: '<string>',
description: '<string>',
data: {},
headers: {}
}
]
})
};
fetch('https://api.getcargo.io/v1/hosting/workers/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"worker": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"url": "<string>",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotedDeployment": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceS3Path": "<string>",
"bundleS3Path": "<string>",
"buildLogS3Filename": "<string>",
"errorMessage": "<string>",
"url": "<string>",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotedAt": "<string>",
"promotedByUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finishedAt": "<string>",
"temporalWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"kind": "<string>",
"workerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"bundleSha256": "<string>",
"outboundAllowlist": [
"<string>"
],
"kind": "<string>"
}
},
"triggers": [
{
"type": "<string>",
"name": "<string>",
"cron": "<string>",
"path": "<string>",
"temporalScheduleWorkflowId": "<string>",
"description": "<string>",
"data": {},
"headers": {}
}
],
"chargedUntil": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Hosting - Workers
Update worker
Update a hosted worker
PUT
/
hosting
/
workers
/
{uuid}
Update worker
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Worker identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Body
application/json
Request body schema.
Worker name.
Folder identifier for the worker.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Worker description.
Full replacement list of the worker's triggers. Each cron trigger POSTs the worker's URL at the given path on the schedule.
Maximum array length:
10Show child attributes
Show child attributes
Response
Successful response
Updated worker details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

